
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript快速检测浏览器对CSS3特性的支持情况_javascript技巧 / iVAN</title>

    <meta name="description" content="JavaScript快速检测浏览器对CSS3特性的支持情况_javascript技巧 在项目中需要快速检测浏览器是否支持某CSS3特性,比如检测是否支持&quot;transform&quot;,然后我的布局会有两种完全不同的版式. 当然除开本文介绍的这种快速方法,还有一种更有名和更通用的方法,那就是modernizr,运行脚本之后它会在html的class上加上浏览器支持的所有特性的列表. 优点: js是可配置的,不需要的特性检测可以在配置脚本中去掉基于特性检测js库简单好用 除此之外还有一种不太好的方法,那就是判断浏览器的UA,不好的原因是UA可能会伪造,而且版本判断繁琐,还 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript快速检测浏览器对CSS3特性的支持情况_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在项目中需要快速检测浏览器是否支持某CSS3特性，比如检测是否支持“transform”，然后我的布局会有两种完全不同的版式。</p>
<p>当然除开本文介绍的这种快速方法，还有一种更有名和更通用的方法，那就是modernizr，运行脚本之后它会在html的class上加上浏览器支持的所有特性的列表。</p>
<p><strong>优点：</strong></p>
<p>js是可配置的，不需要的特性检测可以在配置脚本中去掉基于特性检测js库简单好用<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEyMDkyNjE4NDA1NjIucG5n.jpg"></p>
<p>除此之外还有一种不太好的方法，那就是判断浏览器的UA，不好的原因是UA可能会伪造，而且版本判断繁琐，还有不稳定。</p>
<p><strong>优点：性能可能是最优的</strong></p>
<p>最后就是本文介绍的这个方法，我写了一个函数快速检测是否浏览器支持某CSS特性，适合的场景是快速需要知道浏览器是否支持某一个CSS特性（而不是好几个）。</p>
<p><strong>优点：</strong></p>
<p>性能不错通用性强适合检测单个CSS特性</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var supports = (function() { <br />var div = document.createElement('div'), <br />vendors = 'Khtml O Moz Webkit'.split(' '), <br />len = vendors.length; <br />return function(prop) { <br />if ( prop in div.style ) return true; <br />if ('-ms-' + prop in div.style) return true; <br />prop = prop.replace(/^[a-z]/, function(val) { <br />return val.toUpperCase(); <br />}); <br />while(len--) { <br />if ( vendors[len] + prop in div.style ) { <br />return true; <br />} <br />} <br />return false; <br />}; <br />})(); <br />if ( supports('textShadow') ) { <br />document.documentElement.className += ' textShadow'; <br />}</p>
<p>这就是最终代码，原理是：<br />
<br />1.创建一个div，然后可以获得div.style，这是它所支持的属性的数组列表。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEyMDkyNjE4NDA1NjMucG5n.jpg"></p>
<p>2.检查text是否包含在数组中，如果是，直接返回true。</p>
<p>3.检查各种前缀，比如Webkit加上text，即webkitTransition，如果包含在style中，返回true。</p>
<p>4.值得注意的是在CSS中属性名为：-webkit-transition，但是在DOM的style中 ，却是对应webkitTransition。我也不知道为什么会这样。</p>
<p>参考资料：http://net.tutsplus.com/tutorials/html-css-techniques/quick-tip-detect-css-support-in-browsers-with-javascript/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:40:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/css3/" title="CSS3">CSS3</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript快速检测浏览器对CSS3特性的支持情况_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdL3Ap.html" rel="bookmark">主流浏览器对于CSS3与HTML5支持情况</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS3与HTML5的推出,也让各种浏览器的兼容性成了许多设计师关心的问题,本文以表格形式排列了目前主流浏览器对于CSS3与HTML5支持情况. 支持 CSS3 和 HTML5 的浏览器越来越多,甚至包括最新版的 IE,当然,所谓支持仅仅是部分支持,因为 CSS3 和 HTML5 的W3C 规范都尚未形成.如果你现在就希望使用 CSS3 和 HTML5 创建你的站点,至少要对各个浏览器对这两种新技术的支持情况有一个全面了解. 需要指出的是,即使同一个浏览器的同一个版本,在 Mac 和 Windo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK8onEM.html" rel="bookmark">JavaScript检测浏览器cookie是否已经启动的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript检测浏览器cookie是否已经启动的方法.分享给大家供大家参考.具体分析如下: JavaScript检测浏览器cookie是否已经启动,代码稍显复杂,通过写入一个测试cookie判断cookie是否已经启动 var dt = new Date(); dt.setSeconds(dt.getSeconds() + 60); document.cookie = &quot;cookietest=1; expires=&quot; + dt.toGMTString(); var			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqJO83p.html" rel="bookmark">用JavaScript判断CSS浏览器类型前缀的两种方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不管我们对浏览器类型前缀有多么的讨厌,我们都不得不每天面对它,否者有些东西不能正常工作.这些前缀的用法有两种:在CSS里(例如&quot;-moz-&quot;)和在JS里.有一个神奇的 X-Tag 项目里有一段很聪明的JavaScript脚本,可以用来判断当前使用的是什么前缀--让我来展示它是如何工作的! 比如 CSS 前缀,IE 的是 &quot;-ms-&quot;,旧版 Opera 的是 &quot;-o-&quot;,Firefox 的是 &quot;-moz-&quot;,Safari/Chr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jve4p.html" rel="bookmark">JavaScript 监控微信浏览器且自带返回按钮时间&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如现在有一个操作 是 A-&gt;B-&gt;C-&gt;B 在B页面的返回键 第一次返回的是C 如果想直接返回A或者其他地方 则需要触发返回事件 pushHistory(); window.addEventListener(&quot;popstate&quot;, function(e) { //alert(&quot;我监听到了浏览器的返回按钮事件啦&quot;);//根据自己的需求实现自己的功能 window.location = 'http://www.baidu.com'; }, false			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6ZXmM.html" rel="bookmark">使用JavaScript判断手机浏览器是横屏还是竖屏问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//判断手机横竖屏状态: function hengshuping(){ if(window.orientation==180||window.orientation==0){ alert(&quot;竖屏状态!&quot;) } if(window.orientation==90||window.orientation==-90){ alert(&quot;横屏状态!&quot;) } } window.addEventListener(&quot;onorientationchange&quot; i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWNLRz.html" rel="bookmark">Javascript解决常见浏览器兼容问题的12种方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你不知道原因,不要过于担心,请研究CSS规则并查看这篇文章:使用CSS来修正一切: 20 +常见错误和修复. 如果这些也无效,您可以通过下面列出的12个javascript解决方案修复它,这样您的网页看起来就能跨越所有浏览器了! 在本文中,我们会揭开你在开发web应用是可能会遇到的12个最常见的CSS问题的javascript解决方案. 1. 自动匹配高度 自从我们抛弃了基于Table的页面布局后,创建同等高度栏目或内容盒子的视觉效果已然是一个挑战. 1.1 用jQuery设置匹配高度 这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0ql8p.html" rel="bookmark">JavaScript在多浏览器下for循环的使用方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言 JavaScript语言在不同的浏览器的下有存在细微的差异,但不像DOM操作差异那么大,现在为大家列举出其中一个&quot;for循环&quot;的差异,并介绍如何有效的解决这种差异. 二.问题描述 在下面的 测试代码 例1 中IE6和Chrome输出的结果是不一致,IE6不执行for语句里的代码 复制代码 代码如下: //例1: alert(&quot;准备测试toString是否被for循环枚举出来&quot;) var forTest = { toString: 1 } for (i in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOngyRp.html" rel="bookmark">JavaScript中检测变量是否存在遇到的一些问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编写JavaScript程序时往往需要检测某一变量是否存在,这是一件非常简单的工作,但如果不细心也会遇到一些问题.主要有一些几点: 1.普通变量 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; if(variable){ alert('rain man'); } &lt;/script&gt; 这时会出现'variable is not defined'的错误,如果改成下面就会弹出预期的对话框: 复制代码 代码如下: &lt;scri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GyWgp.html" rel="bookmark">JavaScript让IE浏览器event对象符合W3C DOM标准&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;meta http-equiv=&qu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3qGAp.html" rel="bookmark" class="title">网页技巧：让用户自己控制网页字体的大小</a>
					<div>
						技巧|控制|网页 现在国内绝大多数的站点都用CSS把字体大小设定为12px,像素虽然也是相对尺寸单位,但只是相对于屏幕的分辨率 ,当屏幕的分辨率一定时,如果你感到字太小,阅读有困难,在非标准浏览器中就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVAKYp.html" rel="bookmark" class="title">使用曾经被删除域名对SEO有什么影响</a>
					<div>
						现在有很多站长朋友们对自己网站首页不收录是非常的不爽,而且感觉每一天的工作没有效果是一种折磨,慢慢的就会对网络推广有了厌倦的感觉,并且很快就不会在去做网络推广等工作,其实说实话,做网络推广的时候尤其是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw6ROp.html" rel="bookmark" class="title">std&colon;&colon;set&sol;std&colon;&colon;map简介</a>
					<div>
						std::set/std::map (以下用 std::map 代表) 是常用的关联式容器,也是 ADT(抽象数据类型) .也就是说,其接口(不是 OO 意义下的 interface)不仅规定了操作的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RlExp.html" rel="bookmark" class="title">SDL历程：课程设计之精灵图</a>
					<div>
						终于算是忙过去了一段时间,可以好好地写写总结了,这一周写了不少SDL方面的小项目: 下面就一一粘出来: 1.精灵图问题 /* preDefine.h*/ #ifndef __PRE_DEFINE_H  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yZe4z.html" rel="bookmark" class="title">Photoshop通道应用系列6：利用CMYK黑色通道加锐</a>
					<div>
						通道的重要性就不用多说了,美国PS专家称:&quot;通道是核心,蒙板是灵魂&quot;,足以说明通道在Photoshop中的重要地位. 相关教程: 1.Photoshop通道应用系列1:通道中有些什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NYamz.html" rel="bookmark" class="title">PowerPoint2007打开大型或复杂简报时速度慢</a>
					<div>
						问题: 当您使用PowerPoint 2007 开启使用旧版PowerPoint 建立的大型或复杂简报时,简报开启的速度会比预期慢许多. 如果要解决这个问题,请将简报储存为 PowerPoint 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLrLGb.html" rel="bookmark" class="title">系出名门 Android系列文章索引</a>
					<div>
						介绍 系出名门 Android 系列文章索引:搭建开发环境, 布局, 菜单, 对话框, 通知, 活动, 服务, 广播, 广播接收器, 控件, 数据库支持, 内容提供器, HTTP通信, XML解析,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2PnEM.html" rel="bookmark" class="title">设置utorrent开机自启方法</a>
					<div>
						  Utorrent是一款平台兼容性强.实用性广的BitTorrent软件.如何在开机的同时也自动启动utorrent呢?今天小编就跟各位朋友分享设置utorrent开机自启的方法. 1.安装&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj73ymM.html" rel="bookmark" class="title">PS国外翻译教程：合成圣诞元素时尚女郎海报教程</a>
					<div>
						PS教程为翻译国外教程,教大家如何打造一幅圣诞元素的时尚女郎海报,提供练习素材下载,喜欢的同学可以跟着做一下! 最终效果图: 练习素材:(点此下载) photoshop教程教程: 1.新建850*10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKxZWp.html" rel="bookmark" class="title">linux shell环境以及shell脚本</a>
					<div>
						  1.&quot;&quot; '' ``的区别,&quot;&quot;中的变量会被解析 ''中所有的都被当成字符串 ``执行系统命令 2.自定义的变量默认是局部变量,环境变量是全局变量. 3.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7kDWp.html" rel="bookmark" class="title">tomcat内退，求解！！！！！！！！！！！！！！！</a>
					<div>
						问题描述 tomcat内退,求解!!!!!!!!!!!!!!! 23-Jan-2015 08:48:06.634 INFO [main] org.apache.catalina.startup.Ver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWoV6p.html" rel="bookmark" class="title">C&num;  DataTable中返回列中的最大值</a>
					<div>
						此处以表dt2中的keyIndex列(int类型)为例 1.通过linq来实现 int maxKeyIndex = dt2.AsEnumerable().Select(t =&gt; t.Field& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b320owz.html" rel="bookmark" class="title">SQL Server中多表连接时驱动顺序对性能的影响</a>
					<div>
						原文:SQL Server中多表连接时驱动顺序对性能的影响   本文出处:http://www.cnblogs.com/wy123/p/7106861.html (保留出处并非什么原创作品权利,本人拙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6QZxb.html" rel="bookmark" class="title">android开发-想用socket从服务端发送图片到客户端，但一直出错，求原因</a>
					<div>
						问题描述 想用socket从服务端发送图片到客户端,但一直出错,求原因 开发-想用socket从服务端发送图片到客户端,但一直出错,求原因-socket客户端和服务端&quot;&gt; 如图所示,本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXD5jz.html" rel="bookmark" class="title">centos-CentOS安装gcc-c&plus;&plus;出现错误</a>
					<div>
						问题描述 CentOS安装gcc-c++出现错误 在Centos中安装gcc gcc-c++总是出现Connot find a valid baseurl for repo : base的错误,怎样解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZeNDz.html" rel="bookmark" class="title">public static string 和  static  public string 有什么区别</a>
					<div>
						问题描述 publicstaticstring和staticpublicstring有什么区别 解决方案 解决方案二:一样.没区别啊.解决方案三:没什么区别解决方案四:没区别解决方案五:一样的解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R98vb.html" rel="bookmark" class="title">新北洋：专用打印机供应商尽享高铁东风</a>
					<div>
						公司在铁路客票机市场的占有率超过60%,目前是高铁和城际铁路专用磁编码客票打印机的唯一供应商,成长空间巨大 江怡曼 我们在购买火车票的时候,售票窗口的工作人员总会很快地将车票打印出来,仔细观察会发现所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40D1Pz.html" rel="bookmark" class="title">模拟点击-delphi中，点击【程序上的】打开按钮后自动打开网页并实现点击【网页中的】一个按钮</a>
					<div>
						问题描述 delphi中,点击[程序上的]打开按钮后自动打开网页并实现点击[网页中的]一个按钮 假设以打开 http://mail.163.com/ 为例,程序上点击打开按钮后 打开网页并模拟点击'注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgR1aM.html" rel="bookmark" class="title">c&num; 基础问题</a>
					<div>
						问题描述 .aspx页面中,例如某一代码多页面共用:&lt;form&gt;&lt;table&gt;......&lt;/form&gt;&lt;/table&gt;除了建立成一个.aspx页面,用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R27az.html" rel="bookmark" class="title">手机支付：新产业带来新机会</a>
					<div>
						手机支付将是第一个物联网和移动互联网融合而成熟的商业模式.央行第三方支付标准有望年内出台,巨大的潜在商业价值引来了群雄逐鹿. 中移动有望入股浦发银行,手机支付爆发在即.本周有报道称,中移动有望400亿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjDkGM.html" rel="bookmark" class="title">程序员是如何浪费生命的</a>
					<div>
						程序员应该要爱惜生命,做有用有意义的事情.做有用的事情,有两种方式,一.做一个对用户真正有价值的项目,这个项目是真正有意义有用的;二.朝正确的方向以正确的方式做项目.但是程序员会遇到很多失败的项目,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeQv4M.html" rel="bookmark" class="title">58同城并购思维&colon;通过资源支持帮助创业者搭建新生态</a>
					<div>
						现在整体来说,O2O本地服务还是一个风口,如果你在这个里面束手束脚,你为了短期的利益不做长远的事情,其实是作为一个CEO是不称职的,我要做的是确保5年.10年的成功,而不是短期内的利润和股价. 本报记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjGAKM.html" rel="bookmark" class="title">公有云：如何实现多因素认证方法</a>
					<div>
						用户认证是所有公司安全战略的重要部分,确保仅仅是授权用户才能访问有价值的数据和资源.在用户名和密码之外,越来越多的企业开始使用额外的认证方法,来确认用户的身份. 多因素认证(MFA)将传统的登录证书和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBa4Bz.html" rel="bookmark" class="title">TD-LTE建网初期：需对网络覆盖及容量进行估算</a>
					<div>
						作 者:赵宇 通信世界网(CWW)9月2日消息 在由TD产业联盟主办的2011 TD-LTE网络创新研讨会上,上海移动TD项目经理.高级技术督导顾秋峰表示,在TD-LTE建网初期,主要需要对网络覆盖及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWOW5z.html" rel="bookmark" class="title">完美实现八种js焦点轮播图（下篇）&lowbar;javascript技巧</a>
					<div>
						继续上一篇的学习完美实现八种js焦点轮播图(上篇),供大家参考,具体内容如下 5.定时上下无缝滚动 思路: 1.思路1: 将ul复制一份,但滚动一半距离重新归位:(大型网站性能略低): 2.思路2:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7yx7M.html" rel="bookmark" class="title">关于7月17日百度k站总结原因分析</a>
					<div>
						一.7月17日批量k站情况分析 网站辛辛苦苦谁也不想被k,tui56-王宝臣原本以为这种事情只是会发生在别人身上的情况,没想到7月17日百度第三次批量k站,手头负责推广的网站就有被k的,6月22-6月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2QYBz.html" rel="bookmark" class="title">js arguments对象应用介绍&lowbar;基础知识</a>
					<div>
						在javascript中,不需要明确指出参数名,就能访问它们.如: 复制代码 代码如下: function hi(){ if(arguments[0]==&quot;andy&quot;){ retu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1emdb.html" rel="bookmark" class="title">求算法，一个n长度的数组，要将数组分成n个组</a>
					<div>
						问题描述 求算法,一个n长度的数组,要将数组分成n个组每个组将数组中的所有元素分成m份,且不能重复出现(m的值等于组号即第几组就是分几份,不考虑排序)如数组,List&lt;int&gt;arr=ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl9l0p.html" rel="bookmark" class="title">erp技术常用的软硬件开发平台有哪些</a>
					<div>
						问题描述 erp技术常用的软硬件开发平台有哪些 erp技术常用的软硬件开发平台有哪些?本人软件工程系的学渣一枚,想完成调研报告..谢谢大神赐教 解决方案 web版一般就是java或asp.net					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYXqJb.html" rel="bookmark" class="title">picturebox 控件加载大图片的时候。显示红叉，有解决方法吗？</a>
					<div>
						问题描述 我用DrawImage画了一个大约100mb左右大小的图片.然后加载的picturebox上显示.但是显示了一个巨大的红叉,但我用picturebox.Image.Save能正确的保存,保存 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
